import 'package:json_annotation/json_annotation.dart';

part 'login_response.g.dart';

@JsonSerializable()
class LoginResponse {
  @JsonKey(name: "authToken")
  String? authToken;

  @JsonKey(name: "newReg")
  bool? newcomer;

  LoginResponse(this.authToken, this.newcomer);

  factory LoginResponse.fromJson(Map<String, dynamic> json) => _$LoginResponseFromJson(json);
}
